Create subscription discounts
curl --request POST \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptionDiscount \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validity": {
"startDate": "2022-07-21T13:14:51.474Z",
"endDate": "2022-07-21T13:14:51.474Z",
"applyOnOrders": [
2,
3
]
},
"message": "Offer terms and conditions",
"discount": {
"amount": 10
},
"skus": [
"MOBO-X570"
],
"categories": [
"holiday-best-sellers"
],
"frequency": {
"shippingFrequency": 1,
"shippingFrequencyType": "daily",
"billingFrequency": 1,
"billingFrequencyType": "daily"
},
"itemQuantity": 1,
"channel": "WEBSITE",
"target": "PDP",
"customerSegment": [
"employee"
]
}
'import requests
url = "https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptionDiscount"
payload = {
"validity": {
"startDate": "2022-07-21T13:14:51.474Z",
"endDate": "2022-07-21T13:14:51.474Z",
"applyOnOrders": [2, 3]
},
"message": "Offer terms and conditions",
"discount": { "amount": 10 },
"skus": ["MOBO-X570"],
"categories": ["holiday-best-sellers"],
"frequency": {
"shippingFrequency": 1,
"shippingFrequencyType": "daily",
"billingFrequency": 1,
"billingFrequencyType": "daily"
},
"itemQuantity": 1,
"channel": "WEBSITE",
"target": "PDP",
"customerSegment": ["employee"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
validity: {
startDate: '2022-07-21T13:14:51.474Z',
endDate: '2022-07-21T13:14:51.474Z',
applyOnOrders: [2, 3]
},
message: 'Offer terms and conditions',
discount: {amount: 10},
skus: ['MOBO-X570'],
categories: ['holiday-best-sellers'],
frequency: {
shippingFrequency: 1,
shippingFrequencyType: 'daily',
billingFrequency: 1,
billingFrequencyType: 'daily'
},
itemQuantity: 1,
channel: 'WEBSITE',
target: 'PDP',
customerSegment: ['employee']
})
};
fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptionDiscount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseStatus": "OK",
"message": "Request processed successfully",
"data": {
"id": "62d9196aeec12800095633f2",
"status": "ACTIVE",
"offerCode": "SUB-D45DD7",
"validity": {
"startDate": "2022-07-21T13:14:51.474Z",
"endDate": "2022-07-21T13:14:51.474Z",
"applyOnOrders": [
2,
3
]
},
"message": "Offer terms and conditions",
"discount": {
"amount": 10
},
"skus": [
"MOBO-X570"
],
"categories": [
"holiday-best-sellers"
],
"frequency": {
"shippingFrequency": 1,
"shippingFrequencyType": "daily",
"billingFrequency": 1,
"billingFrequencyType": "daily"
},
"itemQuantity": 1,
"channel": "WEBSITE",
"target": "PDP",
"customerSegment": [
"employee"
],
"isDeleted": false,
"DeletedAt": "2019-01-01T00:00:00.000Z",
"createdAt": "2021-10-12T21:35:05.756Z",
"updatedAt": "2021-10-14T05:40:55.997Z"
}
}{
"responseStatus": "BAD_REQUEST",
"message": "Bad request"
}{
"Message": "User is not authorized to access this resource with an explicit deny"
}Subscription Discounts
Create subscription discounts
Create subscription discounts
POST
/
v1
/
subscriptionDiscount
Create subscription discounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Details of subscription discount to be created
Details of discount to be created
Dates during which discount is valid, and orders to which discount applies
Show child attributes
Show child attributes
Merchant discount message
Example:
"Offer terms and conditions"
Discount detail
Show child attributes
Show child attributes
SKUs to which discount applies
SKU
Product categories
Product category
Shipping frequency details
Show child attributes
Show child attributes
Number of items
Example:
1
Channel
Available options:
WEBSITE, POS Example:
"WEBSITE"
Discount target
Available options:
PDP, CART, QUICK VIEW, SUBSCRIPTION MANAGEMENT PORTAL Example:
"PDP"
Customer segments
Customer segment
Was this page helpful?
⌘I
